unit SomeTests;

interface

uses
  DSharp.Testing.DUnit;

type

  TestTAnotherThing = class(TTestCase)
  published
    procedure TestDoItToIt;
  end;

implementation

uses
  SomeClasses,
  DSharp.Testing.Mock;

{ TestTAnotherThing }

procedure TestTAnotherThing.TestDoItToIt;
var
  LThing: Mock<ISomeThing>;
  LAnotherThing: TAnotherThing;
begin
  LThing.Setup.WillExecute.Once.WhenCalling.DoIt;
  LAnotherThing := TAnotherThing.Create(LThing);
  LAnotherThing.DoItToIt;
  LThing.Verify;
  //Check(True);
end;

end.
