unit SomeClasses;

interface

type

  {$M+}
  ISomeThing = interface
  ['{65D4A2E3-1D74-42CC-B8D5-AE1D0D81C141}']
    procedure DoIt;
  end;

  TSomeThing = class(TInterfacedObject, ISomeThing)
  public
    procedure DoIt;
  end;

  TAnotherThing = class(TObject)
  private
    FThing: ISomeThing;
  public
    constructor Create(const AThing: ISomeThing);
    procedure DoItToIt;
  end;

implementation

{ TSomeThing }

procedure TSomeThing.DoIt;
begin
  Writeln('Done it');
end;

{ TAnotherThing }

constructor TAnotherThing.Create(const AThing: ISomeThing);
begin
  FThing := AThing;
end;

procedure TAnotherThing.DoItToIt;
begin
  FThing.DoIt;
end;

end.
